%define current_version 7.0.77

Summary:	Parallels Server command line utility
Name:		prlctl
Version:	%{current_version}
Release:        1%{?dist}
Group:		Applications/System
License:	GPLv2
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	libprlsdk >= 7.0.112
BuildRequires:	libprlsdk-devel >= 7.0.112, libprlcommon-devel
BuildRequires:	boost-devel
Obsoletes:	parallels-server-cli
ExclusiveArch:	x86_64

%description
Command line utilities to manage Parallels Server work.

%files
%defattr(755,root,root)
%{_bindir}/prlctl
%{_bindir}/prlsrvctl

%attr(755,root,root) %{_sysconfdir}/bash_completion.d/prlctl.sh
%{_datadir}/pmigrate

%{_mandir}/man8/prlctl.8*
%{_mandir}/man8/prlsrvctl.8*

%{_docdir}/%{name}-%{version}


%prep
%setup -q

%build
make %{?_smp_mflags} all

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
%{__mkdir} -p %{buildroot}/%{_bindir}
%{__mkdir} -p %{buildroot}%{_docdir}/%{name}-%{version}
install -m 644 COPYING GPL-2.0  %{buildroot}%{_docdir}/%{name}-%{version}/

%clean
rm -rf %{buildroot}

%changelog
* Wed Jul 20 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.77
 - Do not run cleanup from signal handler #PSBM-49025

* Tue Jul 19 2016 Denis Silakov <dsilakov@virtuozzo.com> 7.0.76-2
 - Obsolete parallels-server-cli from Vz6 (#PSBM-49624)
 
* Tue Jul 19 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.76
 - Fix clflushopt name #PSBM-49651
 - Add 'prlctl statistics' to usage, #PSBM-48219

* Tue Jul 19 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.75
 - Add "clflushopt" alias to "cflushopt" CPU feature #PSBM-49651
 - Document "prlctl statistics" command, #PSBM-48219
 - Print VM uuid for "prl[srv]ctl statistics --all", #PSBM-48219
 - Allow "prlctl statistics --all", #PSBM-48219

* Wed Jul 13 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.74
 - Rename cpufeature cflushopt -> clflushopt #PSBM-49611
 - Fixes PSBM-41890 (Artem Pavlenko <apavlenko@virtuozzo.com>)

* Wed Jun 29 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.73
 - prlsrvctl tc restart: unrecognized option #PSBM-49137

* Tue Jun 28 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.72
 - Add shaperrestart action #PSBM-42178

* Fri Jun 24 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.71
 - Fixed return code processing on errors PSBM-48902

* Fri Jun 24 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.70
 - Style: make a restoration message clearer PSBM-48866
 - Add check of socket-tcp option value. #PSBM-44858

* Thu Jun 23 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.69
 - Get rid of old disk encryption interface #PSBM-48677

* Wed Jun 22 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.68
 - Do not print hdd index in backup progress messages #PSBM-48334

* Tue Jun 21 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.67
 - prlctl.8: renove deprecated ipgre feature #PSBM-48597
 - Removed mentions of prlctl capture from man and help. #PSBM-44949.

* Mon Jun 20 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.66
 - Add --remove-src option for migration #PSBM-48190
 - Fix possible buffer overflow (coverity-124985)
 - Remove unused PrlLic.m_is_unlimited field (fix coverity-124989)
 - Initialize members of memguarantee struct (fix coverity-125005)
 - Add an example of using -o option of prlctl list. #PSBM-48344
 - Add an ability to specify that backup chain should be preserved #PSBM-47789

* Tue Jun 14 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.65
 - Show CPU limit mode in VM info #PSBM-45713

* Wed Jun 08 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.64
 - Remove debug output PSBM-48105

* Tue Jun 07 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.63
 - Add --no-tunnel option for migration #PSBM-47968

* Mon Jun 06 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.62
 - Switch to boost xml_parser from home-made implementation #PSBM-47759
 - Enable "prlctl delete --force" to unregister running invalid VMs. #PSBM-45622
 - Fix default memory guarantee value in the manpage. #PSBM-47321

* Thu Jun 02 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.61
 - Use provided backup ID as is if normalize_uuid() fails 
 - Drop --start-as-user option from prlctl. #PSBM-47713
 - Print stage name on PET_JOB_STAGE_PROGRESS_CHANGED event recieved #PSBM-46042

* Tue May 31 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.60
 - Remove shared folders support #PSBM-47679
 - Correct the description of "prlctl snapshot-delete" in the prlctl.8.
 - Do not print progress percentage to stdout if it is not a terminal #PSBM-17860
 - Fix --backup-del all

* Fri May 27 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.59
 - installtools: even more clear info message #PSBM-46605
 - Do not setup custom env for prlctl enter on Windows guest

* Thu May 19 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.58
 - Add backup command to prlsrvctl to bakup all node VE. #PSBM-45375

* Mon May 16 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.57
 - Enabled verbose license info via prlsrvctl #PSBM-46768 (Yuriy Pudgorodskiy
<yur@virtuozzo.com>)

* Thu May 12 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.56
 - Fixed typo in usage

* Sat May 07 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.55
 - An ability to do not compress data during migration (#PSBM-46784)

* Tue Apr 26 2016 Igor Sukhih <igor@parallels.com> 7.0.54
 - Add possibility to set and view nodemask by prlctl. #PSBM-39268

* Mon Apr 25 2016 Igor Sukhih <igor@parallels.com> 7.0.53
 - Added explicit support for Virtuozzo Linux

* Mon Apr 25 2016 Igor Sukhih <igor@parallels.com> 7.0.52
 - Fix templates output (Alexander Burluka #PSBM-46127

* Tue Apr 19 2016 Igor Sukhih <igor@parallels.com> 7.0.51
 - Failed to restore incremantal backup #PSBM-46341

* Tue Apr 19 2016 Igor Sukhih <igor@parallels.com> 7.0.50
 - Prohibit --changesid without --keep-src for migrate action #PSBM-46043

* Fri Apr 08 2016 Igor Sukhih <igor@parallels.com> 7.0.49
 - should be way to get same information as vznetcfg #PSBM-40141

* Sat Apr 02 2016 Igor Sukhih <igor@parallels.com> 7.0.48
 - display full storage url in schema is not 'backup://' #PSBM-45615
 - Add --force for prlctl delete #PSBM-41603 (Ivlev <pivlev@virtuozzo.com>)

* Wed Mar 30 2016 Igor Sukhih <igor@parallels.com> 7.0.47
 - Add an ability to cancel a Container creation #PSBM-35315

* Mon Mar 28 2016 Igor Sukhih <igor@parallels.com> 7.0.46
 - Fixed object's naming on registration #PSBM-44871
 - Hide 'capability' parameter #PSBM-41030
 - drop os info #PSBM-23711

* Fri Mar 25 2016 Igor Sukhih <igor@parallels.com> 7.0.45
 - Unable to restore deleted CT
 - Remove obsoleted mandrake distribution name PSBM-41867

* Tue Mar 22 2016 Igor Sukhih <igor@parallels.com> 7.0.44
 - virtio is not supported for cdrom #PSBM-44753
 - don't delete images by default #PSBM-40201

* Sat Mar 12 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.43
 - Removed non-working server option PSBM-44961

* Thu Mar 10 2016 Igor Sukhih <igor@parallels.com> 7.0.42
 - prlctl 'list -o ip,status,netif' Segmentation fault #PSBM-44938
 - Introduce sdbg CPUID flag #PSBM-44801
 - fix --ignore-ha-cluster for register task #PSBM-44775

* Tue Mar 01 2016 Igor Sukhih <igor@parallels.com> 7.0.41
 - Hide start-as-user option #PSBM-29952
 - Update default windows version to the current server edition #PSBM-44359
 - Add support for TCP and UDP emulation mode for serial device #PSBM-43039

* Fri Feb 26 2016 Igor Sukhih <igor@parallels.com> 7.0.40
 - Fixed type in prlctl --without-shell #PSBM-44045 (Yuri Pudgorodskiy
<yur@virtuozzo.com>)

* Sat Feb 20 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.39
 - Pass tty windows size via LINES and COLUMNS var to guest exec #PSBM-43912
(Yuri Pudgorodskiy <yur@virtuozzo.com>)
 - Add forgotten helper for migration

* Thu Feb 18 2016 Igor Sukhih <igor@parallels.com> 7.0.38
 - Added prlctl exec VM --without-shell option - #PSBM-44045 (Yuri Pudgorodskiy
<yur@virtuozzo.com>)

* Mon Feb 08 2016 Igor Sukhih <igor@parallels.com> 7.0.37
 - Use raw termios mode only for guest type linux. #PSBM-43911

* Sat Feb 06 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.36
 - Handle termios setting for prlctl enter. PSBM-43911 (Yuri Pudgorodskiy
<yur@virtuozzo.com>)

* Wed Feb 03 2016 Igor Sukhih <igor@parallels.com> 7.0.35
 - Add '--features' parameter in prlctl man and help message. #PSBM-39267
 - Update information about --memguarantee in man and help #PSBM-43556 

* Tue Jan 26 2016 Igor Sukhih <igor@parallels.com> 7.0.34
 - Allow to specify guest user password on stopped VM #PSBM-41445

* Fri Jan 22 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.33
 - Deprecate --memquota #PSBM-41963 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Remove plain disks, #PSBM-42088 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Tue Jan 19 2016 Igor Sukhih <igor@parallels.com> 7.0.32
 - Add '--memguarantee' parameter #PSBM-42535 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Mon Jan 18 2016 Igor Sukhih <igor@parallels.com> 7.0.31
 - Add '--memguarantee' parameter #PSBM-42535

* Fri Jan 15 2016 Igor Sukhih <igor@parallels.com> 7.0.30
 - VM CPU limit type is now configurable via prlsrvctl (Alexander Burluka
<aburluka@virtuozzo.com>)

* Wed Jan 13 2016 Igor Sukhih <igor@parallels.com> 7.0.29
 - Unable to add ne hdd to VM #PSBM-42756

* Wed Dec 30 2015 Igor Sukhih <igor@parallels.com> 7.0.28
 - Process --uuid parameter for clone action #PSBM-42554

* Wed Dec 16 2015 Igor Sukhih <igor@parallels.com> 7.0.27
 - Add details of operation failure to configuration edit operations #PSBM-42287

* Wed Dec 09 2015 Igor Sukhih <igor@parallels.com> 7.0.26
 - Show HDD serial number in prlctl -i output #PSBM-40247
 - Cleanup prohibited devices from bash completion script #PSBM-41567 #PSBM-41159
 - Remove parallel devices from man page and usage as they are not used in the
product #PSBM-41567

* Fri Dec 04 2015 Dmitry Mishin <dim@virtuozzo.com> 7.0.25
 - Reflect license policy change - now its absence is valid situation
 - Restored 'prlsrvctl info' output, accidentally lost. #PSBM-41766
 - Remove unnecessary prefix from error message (Alexander Burluka
<aburluka@odin.com>) (#PSBM-41442)

* Tue Dec 01 2015 Igor Sukhih <igor@parallels.com> 7.0.24
 - Fixed bad error handling #PSBM-41442
 - Remove custom error handling for set user password cmd The reason is that VMs

* Mon Nov 16 2015 Igor Sukhih <igor@parallels.com> 7.0.23
 - Fix network creation - missed network name #PSBM-41307

* Fri Nov 13 2015 Dmitry Mishin <dim@virtuozzo.com> 7.0.22
 - Add details field if present to prlctl error output (Alexander Burluka
<aburluka@odin.com>) (#PSBM-39113)

* Thu Nov 12 2015 Igor Sukhih <igor@parallels.com> 7.0.21
 - Fix installtool action
 - Actualize device emulations options in man page and usage #PSBM-41165
 - Hide an ability to add sound devices from usage and man page
 - No support of Mac OS in vz7 due to the absence of MacBIOS
 - Prlsrvctl now forbids virtual network renaming #PSBM-35036

* Tue Oct 27 2015 Dmitry Mishin <dim@virtuozzo.com> 7.0.20
 - Show real OS template value for Containers in prlctl list (#PSBM-38788)

* Sat Oct 24 2015 Dmitry Mishin <dim@virtuozzo.com> 7.0.19
 - Clean up man page and use unified terminology (#OVZ-6521)

* Fri Oct 23 2015 Igor Sukhih <igor@parallels.com> 7.0.18
 - SATA support is dropped for all guests #PSBM-40485

* Tue Oct 20 2015 Igor Sukhih <igor@parallels.com> 7.0.17
 - Handle PMS_VIRTIO_BLOCK_DEVICE storage type #PSBM-39893

* Mon Oct 12 2015 Igor Sukhih <igor@parallels.com> 7.0.16
 - Handle PCD_VIRTIO_SCSI subtype #PSBM-34880

* Fri Oct 09 2015 Igor Sukhih <igor@parallels.com> 7.0.15
 - Set userpasswd: --crypted option does not work, #PSBM-39904
 - Added forgotten new line #PSBM-34884
 - Add missed break
 - Fix venet0 representation in netif and netdev fields, #PSBM-35242
 - Add cache for VM net devices to prevent dynamic_casts

* Tue Jul 28 2015 Igor Sukhih <igor@parallels.com> 7.0.13
 - Change echo on printf in autocomplition script, #PSBM-34994

* Wed Jul 22 2015 Igor Sukhih <igor@parallels.com> 7.0.12
 - Autocomplete fix, #PSBM-34994

* Wed Jul 22 2015 Igor Sukhih <igor@parallels.com> 7.0.11
 - Add uuids to autocompletion script, #PSBM-34994
 - Virtual adapter name is now obtained via SDK, #PSBM-34906
 - Removed change-passwd option from prlctl usage, #PSBM-34302

* Wed Jul 15 2015 Igor Sukhih <igor@parallels.com> 7.0.10
 - Display bridge name for virtual network, #PSBM-34885

* Tue Jul 14 2015 Igor Sukhih <igor@parallels.com> 7.0.9
 - Show name of a bridge of a host-only network in detailed view, #PSBM-34885

* Wed Jul 08 2015 Dmitry Mishin <dim@virtuozzo.com> 7.0.8
 - Restore original paths to binaries #PSBM-34772

* Tue Jun 30 2015 Igor Sukhih <igor@parallels.com> 7.0.7
 - Enable --autocompact option, #PSBM-33989

* Tue Jun 30 2015 Igor Sukhih <igor@parallels.com> 7.0.6
 - Incorrect iolimit displayed if > 2147483647, #PSBM-34472
 - Add README

* Mon Jun 01 2015 Dmitry Mishin <dim@parallels.com> 7.0.5
 - Added copyright and license headers

* Tue May 26 2015 Igor Sukhih <igor@parallels.com> 7.0.4
 - Use new API to get CTID
 - #PSBM-33779

* Thu May 21 2015 Igor Sukhih <igor@parallels.com> 7.0.3
 - prlctl can't create VE if --uuid with {}

* Fri Apr 10 2015 Daniil Guzanov <dguzanov@odin.com> 7.0.2
 - Added license text #PSBM-26806
 - Updated license #PSBM-26806

* Wed Apr 08 2015 Daniil Guzanov <dguzanov@odin.com> 7.0.1
 - PrlSrv: do not apply network parameters twice for a bridged virtual network
(Igor Bazhitov <ibazhitov@parallels.com>)
 - MAJOR Switch to standalone build (dim <dim@parallels.com>)

